---
title: Pulsefire 1.1 released
date: 2019-12-05 16:18:43
tags: 
	- pulsefire
	- arduino
	- java
---

After an long wait and lots of coding today released pulsefire 1.1.0 for the arduino boards.

Downloads are on http://download.savannah.nongnu.org/releases/pulsefire/1.1.0/

![Pulsefire 1.1 running](pf-release-1.1.0-running.jpg "Pulsefire 1.1 running")

### GUI Demo
Early demo of 1.1 gui;
<video width="800" height="600" controls>
  <source src="demo-pulsefire-1.1-2018-01-29_22-07-05.mkv" type="video/mp4">
  Your browser does not support the video tag.
</video>


### Changes
* Made dev_volt/amp/temp variable indexed.
* internal PF_VARS inverse nolimit flag.
* Added lcd paging and lcd_defp for default page.
* Added 4 button support with lcd_mode 3.
* Added lcd_plp; programatic lcd page with 4 vars.
* Added info_pwm to readout precalculated pwm data.
* Changed pwm to precalculated data/time steps.
* Dropped pulse_inv/pwm_loop_delta/pwm_tune_cnt options.
* Dropped SF_ENABLE_DIC/_DOC/_PPM/_DEV compile flags.
* Replaced SF_ENABLE_EXT_* with SF_ENABLE_SPI and spi_mode for hardware spi mode.
* Added spi_chips and spi_clock settings.
* Added 32 bit variable support.
* Replaces chip_name_id to sys_id as 32 bit integer.
* Added sys_pass for future login system.
* Added req_doc to request doc port output bit.
* Dropped LPM from chip code and moved to application.
* Dropped experimental GLCD support to free pins.
* Replaced mega pin mapping with mega_port_a and mega_port_c.
* GUI: Small update for dark-red and black-white color thema.
* GUI: Added new yellow-purple color thema.
* Added two new pulse_dir modes; LRRL-2 and LRLR
* Removed two pulse_modes PPM_ALL and PPM_INTERL.
* Renamed pulse_trig_delay to pulse_pre_delay.
* Added pulse_pre/post_mul step multiplier.
* Added pulse_post_hold to select off or last step.
* Added int0/1 variables to fire/hold/trigger/etc on int.
* Replaced dev_freq.* to int_0freq/etc.
* Dropped CIT (8bit-timer) support.
* Changed avr_pin2/3 to input only.
* GUI: Added visuals for info_pwm data.
* Added dic_mux for mux chip mode select.
* Added info_vars to output all variable meta data in one go.
* Removed all(5) help arguments, now it only lists the help.
* Removed 2 pulse_trig's now its LOOP or PULSE_FIRE.
* GUI: Added serial cmd/error counters and improved serial code.
* GUI: Added 250,500 and 1000 ms pull data speed.
* Redone info_freq from pwm step data.
* Renamed: mal_mticks to mal_wait and made 8b.
* Redone main pulsefire time loop and removed *_time_cnt.
* Added lcd_hcd for speed of hardware command delay.
* Added 'info_data np' argument to remove auto push data from pulling.
* Replaced SWC with generic stepper VSC on max 20hz.
* Changed PTC speed from 10hz to 20hz with ptc_Xmul=0.
* Added req_tx_hex for faster cmd rate, so over 1000 cmd/sec is done.
* Added sys_uptime and sys_speed indicators.
* Removed all but one 168p images which where to big.(>15kb)
* Changed adc_jitter to 8bit value.
* Removed dev_X_dot meta data for generic mapping.
* Added sys_vvl/vvm_map, Variable Value Limit(min/max) and Meta(dot/lock)
* GUI: Added initial 32b command variable support for sys_id/pass.
* Renamed info_ppm output to info_ppm_a/b(0-15)
* Made avr serial send use buffered lines.
* GUI: Dropped experimental audio scope code.
* GUI: Improved gui performance, so uses less cpu.
* GUI: Reworked all tabs layouts.
* GUI: Added keys; F3=connect/disconnect F11=toggleFullScreen (only when disconnected)
* Dropped "==" was 'get' indicator now all response is single equals sign. 
* Made adc skip readout if input not enabled.
* GUI: Replace serial libary rxtx for jssc.
* Fixed main loop time overflow and made sys counters smaller.
* GUI: Updated to java 11 with native build images.