---
title: AtOhmAllah monospace
date: 2021-12-31 23:59:02
tags:
---

AtOhmAllah breaks monospace font rendering;

![atohmallah-monospace](atohmallah-monospace.png "atohmallah-monospace")

Place in ~/.bashrc the following

	cat <<EOF
	               +------------------------------+
	             .'|                            .'|
	           .'  |                          .'  |
	         .'    |                        .'    |
	       .'      |                      .'      |
	     .'        |                    .'        |
	   .'          |                  .'          |
	 .'            |                .'            |
	+--------------+--------------+'              |
	|                             |               |
	|  M     M   SSSSSSXX    XX   |               |
	|  MM   MM  S       XX  XX    |               |
	|  M M N M  S        XXXX     |               |
	|  M  M  M   SSS      XX      |               |
	|  M     M      S    XXXX     |               |
	|  M     M      S   XX  XX    |               +
	|  M     MMMSSSS   XX    XX   |             .'
	|                             |           .'
	|   Mecca System eXtension    |         .'
	|                             |       .'
	|     @Ω仙⁴ ˧꜏⋇꜊꜔ ⁴ﷲΩ@       |     .'
	|        ©Δ∞ 仙上主天         |   .'
	| בְּרֵאשִׁית :o: יְסוֺד :o: יִשְׂרָאֵל   | .'
	+-----------------------------+'
	EOF
