---
title: 'VASC: Java auto crud server'
date: 2015-07-02 19:24:59
tags:
	- java
	- vasc
	- crud
	- jsf
	- swing
	- swt
	- ejb3
---

Site: http://vasc.forwardfire.net
Status: Need reboot in development

Video demo; http://vasc.forwardfire.net/vasc-preview-video.ogv

![JSF listing](vasc-list.png "Vasc Client JSF listing")
![JSF editing](vasc-edit.png "Vasc Client JSF editing")
![Vasc Client Swing](vasc-client-swing.png "Vasc Client Swing")
![Vasc Client SWT](vasc-client-swt.png "Vasc Client SWT")

All (207) used jars in demo; 
``` text
antlr-2.7.7.jar
asm-3.3.1.jar
bcmail-jdk14-1.38.jar
bcmail-jdk14-138.jar
bcprov-jdk14-1.38.jar
bcprov-jdk14-138.jar
bctsp-jdk14-1.38.jar
bsaf-1.9.2.jar
bval-core-0.5.jar
bval-jsr303-0.5.jar
castor-1.2.jar
classmate-0.5.4.jar
commons-beanutils-1.8.0.jar
commons-beanutils-core-1.8.3.jar
commons-cli-1.2.jar
commons-codec-1.5.jar
commons-collections-3.2.1.jar
commons-dbcp-1.4.jar
commons-digester-2.1.jar
commons-io-2.4.jar
commons-lang-2.4.jar
commons-lang3-3.1.jar
commons-logging-1.1.1.jar
commons-pool-1.5.7.jar
cssparser-0.9.5.jar
cxf-api-2.6.0.jar
cxf-rt-bindings-soap-2.6.0.jar
cxf-rt-bindings-xml-2.6.0.jar
cxf-rt-core-2.6.0.jar
cxf-rt-databinding-jaxb-2.6.0.jar
cxf-rt-frontend-jaxrs-2.6.0.jar
cxf-rt-frontend-jaxws-2.6.0.jar
cxf-rt-frontend-simple-2.6.0.jar
cxf-rt-transports-http-2.6.0.jar
cxf-rt-ws-addr-2.6.0.jar
cxf-rt-ws-policy-2.6.0.jar
derby-10.9.1.0.jar
de.tudarmstadt.ukp.wikipedia.api-0.9.1.jar
dom4j-1.6.1.jar
ecj-3.5.1.jar
geronimo-j2ee-deployment_1.1_spec-1.1.jar
geronimo-javamail_1.4_mail-1.8.2.jar
geronimo-javamail_1.4_spec-1.7.1.jar
geronimo-transaction-3.1.1.jar
guava-r08.jar
h2-1.3.170.jar
hibernate-commons-annotations-4.0.1.Final.jar
hibernate-core-4.0.0.Final.jar
hibernate-jpa-2.0-api-1.0.1.Final.jar
howl-1.0.1-1.jar
hsqldb-2.2.8.jar
httpclient-4.1.2.jar
httpclient-cache-4.1.2.jar
httpcore-4.1.2.jar
itext-2.1.7.jar
jackcess-1.2.6.jar
jackson-core-asl-1.9.10.jar
jackson-core-lgpl-1.7.4.jar
jackson-mapper-asl-1.9.10.jar
jackson-mapper-lgpl-1.7.4.jar
jandex-1.0.3.Final.jar
jansi-1.8.jar
jasperreports-4.5.1.jar
javaee-api-6.0-4.jar
javaee-api-6.0-4-tomcat.jar
javassist-3.15.0-GA.jar
javax.faces-2.1.3.jar
jawr-3.3.3.jar
jaxb-impl-2.2.5.jar
jaxb-xjc-2.2.5.jar
jboss-logging-3.1.0.CR2.jar
jboss-transaction-api_1.1_spec-1.0.0.Final.jar
jcl-over-slf4j-1.7.1.jar
jcommon-1.0.15.jar
jdtcore-3.1.0.jar
jfreechart-1.0.12.jar
jgrapht-jdk1.5-0.7.3.jar
jldap-4.3.jar
json-simple-1.1.jar
jsr181-api-1.0-MR1.jar
jsr311-api-1.1.1.jar
jstl-1.2.jar
jul-to-slf4j-1.6.4.jar
junit-3.8.1.jar
log4j-over-slf4j-1.6.4.jar
logback-access-1.0.9.jar
logback-classic-1.0.9.jar
logback-core-1.0.9.jar
mbean-annotation-api-4.5.1.jar
MetaModel-access-3.2.5.jar
MetaModel-core-3.2.5.jar
MetaModel-couchdb-3.2.5.jar
MetaModel-csv-3.2.5.jar
MetaModel-dbase-3.2.5.jar
MetaModel-excel-3.2.5.jar
MetaModel-fixedwidth-3.2.5.jar
MetaModel-full-3.2.5.jar
MetaModel-jdbc-3.2.5.jar
MetaModel-mongodb-3.2.5.jar
MetaModel-openoffice-3.2.5.jar
MetaModel-pojo-3.2.5.jar
MetaModel-xml-3.2.5.jar
microba-0.4.4.1.jar
mongo-java-driver-2.7.3.jar
mysql-connector-java-5.1.22.jar
neethi-3.0.2.jar
opencsv-2.1.jar
openejb-api-4.5.1.jar
openejb-client-4.5.1.jar
openejb-core-4.5.1.jar
openejb-ejbd-4.5.1.jar
openejb-http-4.5.1.jar
openejb-javaagent-4.5.1.jar
openejb-jee-4.5.1.jar
openejb-jpa-integration-4.5.1.jar
openejb-loader-4.5.1.jar
openejb-server-4.5.1.jar
openjpa-asm-shaded-2.2.0.jar
openwebbeans-ee-1.1.7.jar
openwebbeans-ee-common-1.1.7.jar
openwebbeans-ejb-1.1.7.jar
openwebbeans-impl-1.1.7.jar
openwebbeans-jsf-1.1.7.jar
openwebbeans-spi-1.1.7.jar
openwebbeans-web-1.1.7.jar
org.ektorp-1.3.0.jar
oro-2.0.8.jar
poi-3.8.jar
poi-ooxml-3.8.jar
poi-ooxml-schemas-3.8.jar
postgresql-9.1-901-1.jdbc4.jar
quartz-2.1.6.jar
rewrite-servlet-1.0.6-20120724.065549-68.jar
richfaces-components-api-4.1.0.Final.jar
richfaces-components-ui-4.1.0.Final.jar
richfaces-core-api-4.1.0.Final.jar
richfaces-core-impl-4.1.0.Final.jar
sac-1.3.jar
serp-1.13.1.jar
slf4j-api-1.7.2.jar
sqlite-jdbc-3.7.2.jar
stax2-api-3.1.1.jar
stax-api-1.0.1.jar
swizzle-stream-1.6.1.jar
tomcat-annotations-api-7.0.34.jar
tomcat-api-7.0.34.jar
tomcat-catalina-7.0.34.jar
tomcat-catalina-ha-7.0.34.jar
tomcat-coyote-7.0.34.jar
tomcat-dbcp-7.0.34.jar
tomcat-el-api-7.0.34.jar
tomcat-jasper-7.0.34.jar
tomcat-jasper-el-7.0.34.jar
tomcat-jdbc-7.0.34.jar
tomcat-jsp-api-7.0.34.jar
tomcat-juli-7.0.34.jar
tomcat-servlet-api-7.0.34.jar
tomcat-tribes-7.0.34.jar
tomcat-util-7.0.34.jar
tomee-catalina-1.5.1.jar
tomee-common-1.5.1.jar
tomee-embedded-1.5.1.jar
tomee-jdbc-1.5.1.jar
tomee-loader-1.5.1.jar
tomee-mojarra-1.5.1.jar
trove4j-2.0.2.jar
vasc-backend-jdbc-0.4.1-SNAPSHOT.jar
vasc-backend-jpa-0.4.1-SNAPSHOT.jar
vasc-backend-ldap-0.4.1-SNAPSHOT.jar
vasc-backend-metamodel-0.4.1-SNAPSHOT.jar
vasc-backend-mongodb-0.4.1-SNAPSHOT.jar
vasc-core-0.4.1-SNAPSHOT.jar
vasc-core-ejb3-client-0.4.1-SNAPSHOT.jar
vasc-core-ejb3-server-0.4.1-SNAPSHOT.jar
vasc-demo-server-core-0.4.1-SNAPSHOT.jar
vasc-demo-tech-client-swing-0.4.1-SNAPSHOT.jar
vasc-demo-tech-ejb3-0.4.1-SNAPSHOT.jar
vasc-demo-tech-web-0.4.1-SNAPSHOT.jar
vasc-export-generic-0.4.1-SNAPSHOT.jar
vasc-export-jr4o-0.4.1-SNAPSHOT.jar
vasc-export-json-0.4.1-SNAPSHOT.jar
vasc-frontend-cxf-client-0.4.1-SNAPSHOT.jar
vasc-frontend-cxf-server-0.4.1-SNAPSHOT.jar
vasc-frontend-swing-0.4.1-SNAPSHOT.jar
vasc-frontend-web-export-0.4.1-SNAPSHOT.jar
vasc-frontend-web-jsf-0.4.1-SNAPSHOT.jar
vasc-lib-editor-0.4.1-SNAPSHOT.jar
vasc-lib-i18n-0.4.1-SNAPSHOT.jar
vasc-lib-jr4o-0.4.1-SNAPSHOT.jar
vasc-test-i18n-0.4.1-SNAPSHOT.jar
vasc-xpql-0.4.1-SNAPSHOT.jar
vasc-xpql-ejb3-client-0.4.1-SNAPSHOT.jar
vasc-xpql-ejb3-server-0.4.1-SNAPSHOT.jar
velocity-1.6.4.jar
woodstox-core-asl-4.1.2.jar
wsdl4j-1.6.2.jar
x4o-core-0.8.5-SNAPSHOT.jar
x4o-meta-0.8.5-SNAPSHOT.jar
xbean-asm-shaded-3.12.jar
xbean-bundleutils-3.12.jar
xbean-finder-shaded-3.12.jar
xbean-naming-3.12.jar
xbean-reflect-3.12.jar
xml-apis-1.3.04.jar
xmlbeans-2.3.0.jar
xml-resolver-1.2.jar
xmlschema-core-2.0.2.jar
```